import { Singleton } from "../../src/Decorator";
import { Initializable } from "../../src/Interfaces";
import { COMPONENT_A_VALUE } from "../CONSTANTS";

@Singleton()
export class ComponentA implements Initializable{
    private value: string
    
    getFromThis(): string {
        return this.value
    }

    initialize(): void{
        this.value = COMPONENT_A_VALUE
    }
}