import { Inject, Singleton } from "../../src/Decorator"
import { Initializable } from "../../src/Interfaces"
import { COMPONENT_C_VALUE } from "../CONSTANTS"
import { TestComponent } from "./TestComponent"

@Singleton({
    initializationPriority: 1
})
export class ComponentC implements Initializable{
    @Inject(TestComponent)
    private testComponent: TestComponent

    initialize(): void{
        this.testComponent.pushData(COMPONENT_C_VALUE)
    }
}